// ProjectDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CProjectDlg dialog
class CProjectDlg : public CDialog
{
// Construction
public:
	CProjectDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_PROJECT_DIALOG };


protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;
	int   mConnectionStatus;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	afx_msg LRESULT OnReceiveData(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()

public:
	CButton m_rdoSerial;
	int m_connectType;
	CStatic m_staticPort;
	CStatic m_staticBaud;
	CStatic m_staticIp;
	CStatic m_staticTcpPort;
	CComboBox m_cboPort;
	CString m_strPort;
	CComboBox m_cboBaudRate;
	int m_BaudRate;
	CEdit m_editIP;
	CString m_strIP;
	CEdit m_editTcpPort;
	int m_tcpPort;
	CString m_strComStatus;
	CString m_strRcvData;
	CComboBox m_cboMsr;

	afx_msg void OnClose();
	afx_msg void OnBnClickedRadioSerial();
	afx_msg void OnBnClickedRadioWifi();
	afx_msg void OnBnClickedButtonOpen();
	afx_msg void OnBnClickedButtonClosePort();
	afx_msg void OnBnClickedButtonText();
	afx_msg void OnBnClickedButtonImage();
	afx_msg void OnBnClickedButtonBarcode();
	afx_msg void OnBnClickedButtonLineBox();
	afx_msg void OnBnClickedButtonSample();
	afx_msg void OnBnClickedButtonTtf();
	afx_msg void OnBnClickedButtonStatus();
	afx_msg void OnBnClickedButtonInfo();
	afx_msg void OnBnClickedButtonMsrSet();
	afx_msg void OnBnClickedButtonMsrCancel();
};
